Description

This is a guide on installing phppgadmin with nginx on FreeBSD 10.

Prepare the Environment

o Make sure the system is up to date:
pkg update && pkg upgrade
e |nstall portmaster and update the ports tree:

pkg install portmaster
portsnap fetch extract
pkgZng

e Set the default postgresql version to 9.4:

echo "DEFAULT_VERSIONS= postgresqgl=9.4" >> /etc/make.conf

Install Nginx

e Install nginx and php56
pkg install nginx phpb56
e Start and enable nginx at boot:

echo 'nginx_enable="YES"' >> /etc/rc.conf
service nginx start

e Create a configuration directory to make managing individual server blocks easier
mkdir /usr/local/etc/nginx/conf.d
e Edit the main nginx config file:

vi /usr/local/etc/nginx/nginx.conf

o And strip down the config file and add the include statement at the end to make it easier to handle various server blocks:

04/09/2024 1/4




#user nobody;

worker_processes 1;

error_log /var/log/nginx-error.log;
events {

worker_connections 1024;

http {
include mime.types;
default_type application/octet—-stream;

sendfile on;
#tcp_nopush on;

ffkeepalive_timeout O0;
keepalive_timeout 65;

#gzip on;

# Load config files from the /etc/nginx/conf.d directory
include /usr/local/etc/nginx/conf.d/*.conf;

Configure PHP-FPM

e Configure the default PHP settings

cp /usr/local/etc/php.ini-production /usr/local/etc/php.ini

e Edit the php config file:

vi /usr/local/etc/php.ini

o And change the following two parameters:

upload_max_filesize = 100M
post_max_size = 100M
max_input_time = 600

e Edit /usr/local/etc/php-fpm.conf:

vi /usr/local/etc/php-fpm.conf

o Make the following changes:

listen = /var/run/php-fpm.sock
listen.owner = www
listen.group = www
listen.mode = 0660

e Start and enable PHP-FPM at boot:

echo 'php_fpm_enable="YES"' >> /etc/rc.conf
service php-fpm start
Install Phppgadmin

® |nstall phppgadmin:
pkg install phppgadmin
e Now create a file to enable phppgadmin:

vi /usr/local/etc/nginx/conf.d/phppgadmin.conf

o And add the following:

server {
listen 8080;
server_name pg.example.com;

client_max_body_size 100m;
client_body_timeout 600;

location / {
root /usr/local/www/phpPgAdmin;
index index.html index.htm index.php;

location ~ \.php$ {
root /usr/local/www/phpPgAdmin;
fastcgi_pass unix:/var/run/php-fpm.sock;
fastcgi_index index.php;
fastcgi_param SCRIPT_FILENAME S$document_root$fastcgi_script_name;
include fastcgi_params;

® Restart nginx:

service nginx restart

* Now open a web browser and go to http://pg.example.com:8080 to use phpPgAdmin.

NOTE: | needed to edit the phpPgAdmin config file

vi /usr/local/www/phpPgAdmin/conf/config.inc.php

* And change the extra_login_security parameter to false:

Sconf['extra_login_security'] = false;
History
#1 - 10/18/2015 06:59 AM - Daniel Curtis
- Description updated

- Status changed from New to In Progress

- % Done changed from 0 to 50
http://pg.example.com:8080

#2 - 10/18/2015 07:31 AM - Daniel Curtis
- Description updated
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#3 - 11/27/2015 03:54 PM - Daniel Curtis

- Status changed from Resolved to Closed
